import { _0_1_0, _1_0_0, _1_1_0 } from "./ethers-contracts/index.js";
import { Ntt } from "@wormhole-foundation/sdk-definitions-ntt";
// This is a descending list of all ABI versions the SDK is aware of.
// We check for the first match in descending order, allowing for higher minor and patch versions
// being used by the live contract (these are supposed to still be compatible with older ABIs).
export const abiVersions = [
    ["1.1.0", _1_1_0],
    ["1.0.0", _1_0_0],
    ["0.1.0", _0_1_0],
];
export function loadAbiVersion(targetVersion) {
    for (const [abiVersion, abi] of abiVersions) {
        if (Ntt.abiVersionMatches(targetVersion, abiVersion)) {
            return abi;
        }
    }
    throw new Error(`Unknown ABI version: ${targetVersion}`);
}
//# sourceMappingURL=bindings.js.map